# Gluon Contrib API

## Overview

This document lists the contrib APIs in Gluon:

```eval_rst
.. autosummary::
    :nosignatures:

    mxnet.gluon.contrib
```

The `Gluon Contrib` API, defined in the `gluon.contrib` package, provides
many useful experimental APIs for new features.
This is a place for the community to try out the new features,
so that feature contributors can receive feedback.

```eval_rst
.. warning:: This package contains experimental APIs and may change in the near future.
```

In the rest of this document, we list routines provided by the `gluon.contrib` package.

## Contrib

```eval_rst
.. currentmodule:: mxnet.gluon.contrib

.. autosummary::
    :nosignatures:

    rnn.VariationalDropoutCell
    rnn.Conv1DRNNCell
    rnn.Conv2DRNNCell
    rnn.Conv3DRNNCell
    rnn.Conv1DLSTMCell
    rnn.Conv2DLSTMCell
    rnn.Conv3DLSTMCell
    rnn.Conv1DGRUCell
    rnn.Conv2DGRUCell
    rnn.Conv3DGRUCell
```

## API Reference

<script type="text/javascript" src='../../../_static/js/auto_module_index.js'></script>

```eval_rst

.. automodule:: mxnet.gluon.contrib
    :members:
    :imported-members:

.. automodule:: mxnet.gluon.contrib.rnn
    :members:
    :imported-members:

```

<script>auto_index("api-reference");</script>
