# Contrib NDArray API

```eval_rst
    .. currentmodule:: mxnet.ndarray.contrib
```

## Overview

This document lists the contrib routines of the *n*-dimensional array package:

```eval_rst
.. autosummary::
    :nosignatures:

    mxnet.ndarray.contrib
```

The `Contrib NDArray` API, defined in the `ndarray.contrib` package, provides
many useful experimental APIs for new features.
This is a place for the community to try out the new features,
so that feature contributors can receive feedback.

```eval_rst
.. warning:: This package contains experimental APIs and may change in the near future.
```

In the rest of this document, we list routines provided by the `ndarray.contrib` package.

## Contrib

```eval_rst
.. currentmodule:: mxnet.ndarray.contrib

.. autosummary::
    :nosignatures:

    CTCLoss
    DeformableConvolution
    DeformablePSROIPooling
    MultiBoxDetection
    MultiBoxPrior
    MultiBoxTarget
    MultiProposal
    PSROIPooling
    Proposal
    count_sketch
    ctc_loss
    dequantize
    fft
    ifft
    quantize
```

## API Reference

<script type="text/javascript" src='../../../_static/js/auto_module_index.js'></script>

```eval_rst

.. automodule:: mxnet.ndarray.contrib
    :members:

```

<script>auto_index("api-reference");</script>
