# Linear Algebra Symbol API

```eval_rst
    .. currentmodule:: mxnet.symbol.linalg
```

## Overview

This document lists the linear algebra routines of the symbolic expression package:

```eval_rst
.. autosummary::
    :nosignatures:

    mxnet.symbol.linalg
```

The `Linear Algebra Symbol` API, defined in the `symbol.linalg` package, provides
symbolic expressions for linear algebra routines.

In the rest of this document, we list routines provided by the `symbol.linalg` package.

## Linear Algebra

```eval_rst
.. currentmodule:: mxnet.symbol.linalg

.. autosummary::
    :nosignatures:

    gemm
    gemm2
    potrf
    potri
    trmm
    trsm
    sumlogdiag
    syrk
    gelqf
    syevd
```

## API Reference

<script type="text/javascript" src='../../../_static/js/auto_module_index.js'></script>

```eval_rst

.. automodule:: mxnet.symbol.linalg
    :members:

```

<script>auto_index("api-reference");</script>
