# Tutorials

These tutorials introduce a few fundamental concepts in deep learning and how to implement them in _MXNet_. The _Basics_ section contains tutorials on manipulating arrays, building networks, loading/preprocessing data, etc. The _Training and Inference_ section talks about implementing Linear Regression, training a Handwritten digit classifier using MLP and CNN, running inferences using a pre-trained model, and lastly, efficiently training a large scale image classifier.

```eval_rst
.. Note:: We are working on a set of tutorials for the new imperative interface called Gluon. A preview version is hosted at http://gluon.mxnet.io.
```

## Python

### Basic

```eval_rst
.. toctree::
   :maxdepth: 1

   basic/ndarray
   basic/symbol
   basic/module
   basic/data
```

### Training and Inference

```eval_rst
.. toctree::
   :maxdepth: 1

   python/linear-regression
   python/mnist
   python/predict_image
   vision/large_scale_classification
```

### Sparse NDArray

```eval_rst
.. toctree::
   :maxdepth: 1

   sparse/csr
   sparse/row_sparse
   sparse/train
```

<br>
More tutorials and examples are available in the GitHub [repository](https://github.com/dmlc/mxnet/tree/master/example).

## Contributing Tutorials

Want to contribute an MXNet tutorial? To get started, download the [tutorial template](https://github.com/dmlc/mxnet/tree/master/example/MXNetTutorialTemplate.ipynb).
